Create an OIC Integration history record
post
/epm/rest/public/v1/oicIntegrations/histories
Request
Specifies the parameters to create the OIC integration history record
Root Schema : Parameters for creating an OIC integration history record
Type:
Show Source
object-
endTimestamp:
string
The time when integration run completed. Timestamp can be provided in the following formats:
YYYY-MM-DDTHH:MM:SS (UTC)
YYYY-MM-DDTHH:MM:SS +hh:mm or YYYY-MM-DDTHH:MM:SS -hh:mm (time zone offset)
YYYY-MM-DDTHH:MM:SS Region/City (time zone name) -
messages:
string
Messages.
-
oicInstanceId(required):
string
Integration run identifier.
-
oicIntegrationId(required):
string
Integration composite identifier. The ID consists of the code and the version separated by the | (vertical line) character. Format: code%7Cversion. Example: SC2RN%7C01.00.0000. When using cURL, substitute the %7C code for the vertical line.
-
oicIntegrationInstanceId(required):
string
Name of the service instance.
-
oicProjectId:
string
Project identifier.
-
ranBy:
string
The name of the user who triggered the integration run.
-
startTimestamp(required):
string
The time when integration run triggers. Timestamp can be provided in the following formats:
YYYY-MM-DDTHH:MM:SS (UTC)
YYYY-MM-DDTHH:MM:SS +hh:mm or YYYY-MM-DDTHH:MM:SS -hh:mm (time zone offset)
YYYY-MM-DDTHH:MM:SS Region/City (time zone name) -
status(required):
string
Status of the integration run. Allowed values are: PENDING, RUNNING, ERROR and COMPLETED.
Response
Supported Media Types
- application/json
201 Response
Created
400 Response
Error in body
403 Response
Insufficient Permission
404 Response
Not Found, Integration not registered in EDM
Examples
The following example shows how to create an oic integration run history from outside EDM submitting a post request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X POST -H 'Content-Type: application/json' -d
@example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/public/v1/oicIntegrations/histories
Example of Request Body
The following shows an example of the request body in JSON format.
{
"oicInstanceId": "3vkQqXuEEfGjTJXyDlYB5T",
"oicIntegrationId": "EDM_OIC_INTEG_END_TO_END|01.00.0000",
"oicProjectId": "DEV_EDM_OIC_PROJECT",
"oicIntegrationInstanceId": "si01-cicd-l1-cmn-rel640-axkbv4jfb37h-px-pp",
"startTimestamp": "2026-07-08T13:28:20.304Z",
"ranBy": "Doug Cosby",
"messages": "Integration started",
"status": "RUNNING"
}
Example of Response Body
The following shows an example of the response body returning integrationHistoryId, which can be used for subsequent integration history operations.
"70b00472-4bb2-454b-882a-82e0c70647ab"